Loading...
Searching...
No Matches
CSConfig Class Referenceabstract
OpenCSD Library : Trace Source Protocol Configuration.

Base class for configuration data on CoreSight trace component. More...

`#include <trc_cs_config.h>`

Inheritance diagram for CSConfig:
[legend]

## Public Member Functions

| CSConfig ()
virtual | ~CSConfig ()
virtual const uint8_t | getTraceID () const =0
| CoreSight Trace ID for this device.

## Detailed Description

Base class for configuration data on CoreSight trace component.

Defines common access functionality, common to all components. (e.g. trace ID).

Definition at line 49 of file trc_cs_config.h.

## Constructor & Destructor Documentation

## CSConfig()

CSConfig::CSConfig | ( |  | ) |

inline

Definition at line 52 of file trc_cs_config.h.

## ~CSConfig()

virtual CSConfig::~CSConfig | ( |  | ) |

inline virtual

Definition at line 53 of file trc_cs_config.h.

## Member Function Documentation

## getTraceID()

virtual const uint8_t CSConfig::getTraceID | ( |  | ) | const

pure virtual

CoreSight Trace ID for this device.

Implemented in EtmV3Config, EtmV4Config, PtmConfig, and STMConfig.

The documentation for this class was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/common/trc_cs_config.h